Subject: Re: bug#21640: 25.0.50; Fontset-font is never scaled

From: Stefan Kangas <[email-masked]>
Date: Fri, 17 Apr 2020 12:31:39 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Artur Malabarba <[email-masked]> writes:
>
>> Anyway, the matter is more complicated then I initially thought. Even
>> on Ubuntu it doesn't work on every Symbola character.
>> For instance, I can get it to work with the "MATHEMATICAL
>> DOUBLE-STRUCK DIGIT ____" family. If I inspect the char I get this
>> description:
>>     xft:-unknown-Symbola-normal-normal-semicondensed-*-50-*-*-*-*-0-iso10646-1
>> (#x14CD)
>>
>> But it doesn't seem to work with anything from the "SMILING FACE WITH
>> ___" family.
>>     xft:-unknown-Symbola-normal-normal-semicondensed-*-16-*-*-*-*-0-iso10646-1
>> (#x18FA)
>
> I tried reproducing this (starting from -Q), but I'm not sure whether
> I'm doing it right.  First I evaled:
>
> (set-fontset-font "fontset-default" nil
>                   (font-spec :size 80 :name "Unifont Upper"))
>
>
> Then inserted SMILING FACE WITH SMILING EYES AND THREE HEARTS (which
> uses that font), and I got:
>
>     ftcrhb:-PfEd-Unifont Upper-normal-normal-normal-*-80-*-*-*-d-0-iso10646-1 (#x2886)
>
> Character code properties: customize what to show
>   name: SMILING FACE WITH SMILING EYES AND THREE HEARTS
>
> So it seems to work for me.  Has this bug gone away in the meanwhile, or
> are you still seeing it?

More information was requested, but none was given within 21 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas